## php-guzzle-stream 1.4.0

=== Makefile ===
all: clean coverage

test:
	vendor/bin/phpunit

coverage:
	vendor/bin/phpunit --coverage-html=artifacts/coverage

view-coverage:
	open artifacts/coverage/index.html

clean:
	rm -rf artifacts/*

=== debian/changelog ===
php-guzzle-stream (1.4.0-1) unstable; urgency=medium

  [ Michael Dowling ]
  * Adding a lazy opened stream
  * 1.4.0 release

  [ David Prévot ]
  * Install upstream changelog

 -- David Prévot <taffit@debian.org>  Mon, 21 Jul 2014 10:08:35 -0400

php-guzzle-stream (1.3.0-1) unstable; urgency=medium

  [ Joel Wurtz ]
  * Do not clear cache when no uri for stream

  [ Michael Dowling ]
  * Adding check to ensure that LimitStream does not return false from eof()
    when the underlying stream is exhausted
  * Updating stream wrapper to use a context option
  * Better handling of StreamInterface::detach()
  * Adding a conditional to ensure functions.php is not loaded twice
  * Adding a changelog
  * Added an AppendStream

  [ David Prévot ]
  * Fix Vcs-* URLs

 -- David Prévot <taffit@debian.org>  Thu, 17 Jul 2014 11:53:32 -0400

php-guzzle-stream (1.1.0-3) unstable; urgency=medium

  * Use patch instead of quilt for tests

 -- David Prévot <taffit@debian.org>  Sat, 10 May 2014 09:36:24 -0400

php-guzzle-stream (1.1.0-2) unstable; urgency=medium

  * Add missing dependency for ci

 -- David Prévot <taffit@debian.org>  Thu, 08 May 2014 12:27:33 -0400

php-guzzle-stream (1.1.0-1) unstable; urgency=medium

  [ Chris Leppanen ]
  * Add basic stream wrapper.

 -- David Prévot <taffit@debian.org>  Sun, 04 May 2014 12:10:00 -0400

php-guzzle-stream (1.0.0-1) unstable; urgency=low

  * Initial release (Closes: #746820)

 -- David Prévot <taffit@debian.org>  Sun, 04 May 2014 10:40:19 -0400

=== debian/control ===
Source: php-guzzle-stream
Section: php
Priority: optional
Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
Uploaders: ownCloud for Debian maintainers <pkg-owncloud-maintainers@lists.alioth.debian.org>,
           David Prévot <taffit@debian.org>
Build-Depends: debhelper (>= 9),
               php-symfony-classloader,
               phpunit,
               pkg-php-tools (>= 1.7~)
Standards-Version: 3.9.5
Homepage: http://docs.guzzlephp.org/en/guzzle4/streams.html
Vcs-Git: git://anonscm.debian.org/pkg-php/php-guzzle-stream.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-php/php-guzzle-stream.git
XS-Testsuite: autopkgtest

Package: php-guzzle-stream
Architecture: all
Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Description: implementation of the proposed PSR-7 stream interface
 ${phpcomposer:description}.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with phpcomposer

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.rst

=== debian/watch ===
version=3
options=uversionmangle=s/-?alpha/~alpha/i;s/-?beta/~beta/i;s/-?rc/~rc/i \
https://github.com/guzzle/streams/releases .*/archive/v?(\d.+).tar.gz

## php-guzzle-stream 2.1.0

=== debian/changelog ===
php-guzzle-stream (2.1.0-2) unstable; urgency=medium

  * Upload to unstable in coordination with php-guzzlehttp

 -- David Prévot <taffit@debian.org>  Wed, 20 Aug 2014 10:17:32 -0400

php-guzzle-stream (2.1.0-1) experimental; urgency=medium

  [ Michael Dowling ]
  * Added InflateStream and flush to stream wrapper

 -- David Prévot <taffit@debian.org>  Sun, 17 Aug 2014 22:09:00 -0400

php-guzzle-stream (2.0.0-1) experimental; urgency=medium

  * Upload to experimental since the php-guzzlehttp version waiting in NEW
    depends on php-guzzle-stream (<<2~).

  [ Michael Dowling ]
  * Cleaning up how streams are accessed in decorators
  * Adding flush to interface
  * Preparing for the 2.0 release
  * Maintaining BC with the old functions, but marking them as deprecated
  * Adding FnStream, SeekException, throwing when hash fails

 -- David Prévot <taffit@debian.org>  Sun, 17 Aug 2014 09:20:46 -0400

php-guzzle-stream (1.5.1-1) unstable; urgency=medium

  [ Michael Dowling ]
  * Properly closing streams in AppendStream and not throwing in seeks
  * No longer using cached metadata. Closes #20

 -- David Prévot <taffit@debian.org>  Wed, 13 Aug 2014 10:34:17 -0400

php-guzzle-stream (1.5.0-1) unstable; urgency=medium

  [ Michael Dowling ]
  * Adding a safe_open function. Tagging release

  [ David Prévot ]
  * Improve pre-release versions, add get-orig-source

 -- David Prévot <taffit@debian.org>  Sat, 09 Aug 2014 10:24:44 -0400

## php-guzzle-stream 3.0.0

=== debian/changelog ===
php-guzzle-stream (3.0.0-5) unstable; urgency=medium

  * Fix testsuite with recent PHP versions
  * Update Standards-Version to 3.9.7
  * Rebuild with latest pkg-php-tools for the PHP 7.0 transition

 -- David Prévot <taffit@debian.org>  Wed, 16 Mar 2016 20:53:52 -0400

php-guzzle-stream (3.0.0-4) unstable; urgency=medium

  * Upload to unstable since it’s the end of the freeze
  * Simplify DEP-8 call

 -- David Prévot <taffit@debian.org>  Fri, 24 Apr 2015 14:59:16 -0400

php-guzzle-stream (3.0.0-3) experimental; urgency=medium

  * Upload to experimental to respect the freeze
  * Provide homemade autoload.php

 -- David Prévot <taffit@debian.org>  Sat, 28 Feb 2015 10:54:53 -0400

php-guzzle-stream (3.0.0-2) unstable; urgency=medium

  * Use php-symfony-class-loader instead of php-symfony-classloader
  * Upload to unstable since all dependencies have been promptly processed

 -- David Prévot <taffit@debian.org>  Wed, 15 Oct 2014 13:48:03 -0400

php-guzzle-stream (3.0.0-1) experimental; urgency=medium

  [ Michael Dowling ]
  * Work for 3.0
  * Adding back a deprecated MetadataStreamInterface
  * Cleaning up the getMetadata function
  * Minor interface changes, async, and buffers
  * Updating constructor and factory method for streams
  * Removing functions.php
  * Removing isDetached and added attach
  * Removing flush()

  [ David Prévot ]
  * Refresh patches
  * Simplify DEP-8 tests
  * Bump standards version to 3.9.6
  * Upload to experimental since Guzzle 5 is not yet ready in Debian

 -- David Prévot <taffit@debian.org>  Mon, 13 Oct 2014 19:44:24 -0400

=== debian/control ===
Source: php-guzzle-stream
Section: php
Priority: optional
Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
Uploaders: David Prévot <taffit@debian.org>
Build-Depends: debhelper (>= 9), phpab, phpunit, pkg-php-tools (>= 1.7~)
Standards-Version: 3.9.7
Homepage: http://docs.guzzlephp.org/en/guzzle4/streams.html
Vcs-Git: git://anonscm.debian.org/pkg-php/php-guzzle-stream.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-php/php-guzzle-stream.git

Package: php-guzzle-stream
Architecture: all
Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Description: implementation of the proposed PSR-7 stream interface
 ${phpcomposer:description}.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with phpcomposer

override_dh_auto_build:
	dh_auto_build
	phpab   --output src/autoload.php \
		src

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.rst

get-orig-source:
	uscan --verbose --rename --force

=== debian/tests/control ===
Test-Command: phpunit --bootstrap /usr/share/php/GuzzleHttp/Stream/autoload.php
Depends: @, phpunit

=== debian/watch ===
version=3
options=uversionmangle=s/-?(alpha|beta|rc)\.?/~$1/i;tr/A-Z/a-z/ \
https://github.com/guzzle/streams/releases .*/archive/v?(\d.+).tar.gz
